Last Comment Bug 709432 - BrowserProvider overwrites provided GUIDs
: BrowserProvider overwrites provided GUIDs
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P1 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 709289
  Show dependency treegraph
 
Reported: 2011-12-09 19:35 PST by Richard Newman [:rnewman]
Modified: 2012-01-09 14:44 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Proposed patch. v1 (3.99 KB, patch)
2011-12-09 19:35 PST, Richard Newman [:rnewman]
blassey.bugs: review+
Details | Diff | Splinter Review

Description Richard Newman [:rnewman] 2011-12-09 19:35:57 PST
Created attachment 580610 [details] [diff] [review]
Proposed patch. v1

… unconditionally. This makes Sync a little harder :D

The attached patch is pretty trivial, but untested.

Throwing this at blassey, but I'd be happy with any peer to review it.
Comment 1 Richard Newman [:rnewman] 2011-12-09 19:39:58 PST
Tree is closed right now, so I've asked jvoll to just work with this in his local build so he's unblocked. But this is blocking our local DB repo for bookmarks.
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2011-12-09 22:49:26 PST
Comment on attachment 580610 [details] [diff] [review]
Proposed patch. v1

Review of attachment 580610 [details] [diff] [review]:
-----------------------------------------------------------------

::: mobile/android/base/db/BrowserProvider.java
@@ +929,5 @@
>                  History.URL + " IS NOT NULL)";
>  
>          return db.delete(TABLE_IMAGES, selection, null);
>      }
> +}

not sure if you added or removed the new line here, just make sure its the former
Comment 3 Richard Newman [:rnewman] 2011-12-11 22:27:22 PST
https://hg.mozilla.org/mozilla-central/rev/5c64fb241d4e

Note You need to log in before you can comment on or make changes to this bug.